Page MenuHomePhabricator

VisualEditor: Default $wgVisualEditorNamespaces to $wgContentNamespaces instead of array( NS_MAIN )
Closed, ResolvedPublic

Description

Currently it is impossible to use Visual Editor in the pages of Portuguese Wikipedia which are on namespace 102 ("Anexo"), because the default value of $wgVisualEditorNamespaces is set to array( NS_MAIN ) instead of the $wgContentNamespaces (which usually, but not always is just array( NS_MAIN )). These pages are also articles, and as such should be editable by VisualEditor as any other article.


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=52188

Details

Reference
bz51527

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:08 AM
bzimport set Reference to bz51527.
He7d3r created this task.Jul 17 2013, 12:18 PM

Change 74138 had a related patch set uploaded by Helder.wiki:
Default $wgVisualEditorNamespaces to $wgContentNamespaces

https://gerrit.wikimedia.org/r/74138

Change 74138 merged by jenkins-bot:
Default $wgVisualEditorNamespaces to $wgContentNamespaces

https://gerrit.wikimedia.org/r/74138

He7d3r added a comment.Nov 8 2013, 8:01 PM

Why is this not working on Portuguese Wikipedia? Our "Anexo" namespace is a content namespace but this doesn't work:

https://pt.wikipedia.org/wiki/Anexo:Lista_de_listas?veaction=edit

Change 94420 had a related patch set uploaded by Jforrester:
Make VisualEditor namespaces extend, not replace, default

https://gerrit.wikimedia.org/r/94420

(In reply to comment #4)

Why is this not working on Portuguese Wikipedia? Our "Anexo" namespace is a
content namespace but this doesn't work:
https://pt.wikipedia.org/wiki/Anexo:Lista_de_listas?veaction=edit

This was because of how VE was configured to be used in WMF production; have done a config patch (above) which fixes this - will get it pushed out on Tuesday.

Change 94420 merged by jenkins-bot:
Make VisualEditor namespaces extend, not replace, default

https://gerrit.wikimedia.org/r/94420

(In reply to comment #6)

(In reply to comment #4)

Why is this not working on Portuguese Wikipedia? Our "Anexo" namespace is a
content namespace but this doesn't work:
https://pt.wikipedia.org/wiki/Anexo:Lista_de_listas?veaction=edit

This was because of how VE was configured to be used in WMF production; have
done a config patch (above) which fixes this - will get it pushed out on
Tuesday.

Just to confirm, this is now done. Sorry!